summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZack Middleton <zturtleman@gmail.com>2013-03-06 19:04:30 -0600
committerTim Angus <tim@ngus.net>2013-03-19 16:41:16 +0000
commit68e11cd3fa3a879137b4e9815559f34d859bc0b9 (patch)
treed1710c8c99d5448194f00d8b57e16a7ecaf3175e
parent218997fe4114d8117869eabe5692746f4d6bc30c (diff)
build-test.sh always run clean first, for non-travis-ci
-rwxr-xr-xbuild-test.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/build-test.sh b/build-test.sh
index afdedc10..9b984e72 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -3,11 +3,10 @@
failed=0;
# Default Build
-(make) || failed=1;
+(make clean release) || failed=1;
# Test additional options
-make clean
-(make USE_CODEC_VORBIS=1 USE_FREETYPE=1 CFLAGS=-DRAVENMD4) || failed=1;
+(make clean release USE_CODEC_VORBIS=1 USE_FREETYPE=1 CFLAGS=-DRAVENMD4) || failed=1;
# Test mingw
if [ "$CC" = "clang" ]; then
@@ -16,7 +15,7 @@ if [ "$CC" = "clang" ]; then
else
# clear CC so cross-make-mingw script will set it.
export CC=
- (exec ./cross-make-mingw.sh) || failed=1;
+ (exec ./cross-make-mingw.sh clean release) || failed=1;
fi
if [ $failed -eq 1 ]; then